Subject: Re: A few questions.
From: "Suhaib M. Siddiqi" <[email-masked]>
To: "Sven Wastlund" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 8 Apr 1999 08:44:09 -0400

> I am porting a program from UNIX to NT.
> 
> 1. When I try to link with libc.a I get multiple defenitions of 'environ' and '_impure_ptr', one defined in libc.a and the other in libcygwin.a. Does anybody know what to do? 
> Does libc.a use libcygwin.a ?

Do not use libc.a  They are already in libcygwin.a. 

> 
> 2. Which cygwin library should I use when working with sockets, I meen when you port a program from UNIX to NT that uses sockets.
> 

-lwsock32.a
but  AF_UNIX sockets are not supported.

> 3. Has anybody ported a program from UNIX that uses RPC, and if so what package did you use?
>  

Yes, I had compiled a few packages which use ONC-RPC/XDR.
You will need 
ftp://ftp.franken.de/pub/win32/develop/gnuwin32/cygwin/porters/Vinschen_Corinna/B20/sunrpc-4.0cygwin1.bin.tar.gz 
  
and http://www.ipass.net/~ssiddiqi, if you are calling XDR routines  from Fortran 

--Suhaib

> Thanx.
> 
> Sven.
> 
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
> 
> 

--
Want to unsubscribe from this list?
Send a message to [email-masked]